SQ(1)

NAME
sq-cert-list - List certificates and user IDs

SYNOPSIS
sq cert list [OPTIONS] FINGERPRINT|KEYID|PATTERN

DESCRIPTION
List certificates and user IDs.

List certificates and user IDs that match a query, are usable, and can be authenticated. By default, bindings (certificate and user ID pairs) must be fully authenticated. If no certificates or bindings match a query, then the command returns a non-zero exit code.

If no queries are provided, then all bindings that are usable, and can be authenticated are listed. If there are no such bindings, the command still succeeds.

By default, unusable certificates, i.e., those that are not valid according to the policy, are revoked, or are not live, are skipped. Likewise, user ID self signatures and certifications that are not valid according to the policy, and user IDs that are revoked are skipped.

OPTIONS

  Subcommand options

--amount=AMOUNT
    The required amount of trust

    120 indicates full authentication; values less than 120 indicate partial authentication. When `--certification-network` is passed, this defaults to 1200, i.e., this command tries to find 10 paths.

--cert=FINGERPRINT|KEYID
    List certificates with the specified fingerprint or key ID

    Note: fingerprints and key IDs are self-authenticating identifiers. As such, a certificate with the specified fingerprint or key ID is considered authenticated; no user IDs have to be authenticated.

--cert-domain=DOMAIN
    List bindings with user IDs that contain an email address in the specified domain

    A user ID's domain is extracted from the email address, if any, and is normalized by doing puny-code normalization.

--cert-email=EMAIL
    List bindings with user IDs that contain the specified email address

    Email addresses are first normalized by doing puny-code normalization on the domain, and lower casing the local part in the so-called empty locale.

--cert-grep=PATTERN
    List bindings with a user ID that contains the pattern

    Performs a case-insensitive substring search. Case-folding is done in the empty locale.

--cert-userid=USERID
    List bindings with the specified user ID

    The user ID must match exactly.

--certification-network
    Treats the network as a certification network

    Normally, the authentication machinery treats the Web of Trust network as an authentication network where a certification only means that the binding is correct, not that the target should be treated as a trusted introducer. In a certification network, the targets of certifications are treated as trusted introducers with infinite depth, and any regular expressions are ignored. Note: The trust amount remains unchanged. This is how most so-called PGP path-finding algorithms work.

--gossip
    Treats all certificates as unreliable trust roots

    This option is useful for figuring out what others think about a certificate (i.e., gossip or hearsay). In other words, this finds arbitrary paths to a particular certificate.

    Gossip is useful in helping to identify alternative ways to authenticate a certificate. For instance, imagine Ed wants to authenticate Laura's certificate, but asking her directly is inconvenient. Ed discovers that Micah has certified Laura's certificate, but Ed hasn't yet authenticated Micah's certificate. If Ed is willing to rely on Micah as a trusted introducer, and authenticating Micah's certificate is easier than authenticating Laura's certificate, then Ed has learned about an easier way to authenticate Laura's certificate.

    Stable since 1.1.0.

--show-paths
    Show why a binding is authenticated

    By default, only a user ID and certificate binding's degree of authentication (a value between 0 and 120) is shown. This changes the output to also show how that value was computed by showing the paths from the trust roots to the bindings.

--unusable
    Show bindings that are unusable

    Normally, unusable certificates and bindings are not shown. This option considers bindings, even if they are not unusable, because they (or the certificates) are not valid according to the policy, are revoked, or are not live.

    This option only makes sense with `--gossip`, because unusable bindings are still considered unauthenticated.

    Stable since 1.1.0.

FINGERPRINT|KEYID|PATTERN
    List certs that match the pattern

    If the pattern appears to be a fingerprint or key ID, it is treated as if it were passed to `--cert`, which matches on the certificate's fingerprint. Otherwise, it is treated as if it were passed to `--cert-grep`, which matches on user IDs.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

List all bindings for user IDs containing an email address from example.org, and that can be authenticated.

    sq cert list @example.org

List all authenticated bindings for User IDs containing a specific email address.

    sq cert list --cert-email=alice@example.org

List all paths to certificates containing a specific email address.

    sq cert list --gossip --show-paths \
        --cert-email=alice@example.org

SEE ALSO
sq(1), sq-cert(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1